Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class AnnotationTypeLookup

    java.lang.Object
      org.eclipse.ui.texteditor.AnnotationTypeLookup

    public final class AnnotationTypeLookup

extends Object

Provides the strategy for determining annotation types for given markers.

Since:
  3.0

Constructor Summary
`AnnotationTypeLookup()` Creates a new annotation lookup object.

Method Summary
`String` `getAnnotationType(IMarker marker)` Computes the annotation type that corresponds to the state of the given marker.
`String` `getAnnotationType(String markerType, int markerSeverity)` Computes the annotation type that corresponds to the given marker type and the given marker severity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationTypeLookup

    public AnnotationTypeLookup()

  Creates a new annotation lookup object.

Method Detail

### getAnnotationType

    public String getAnnotationType(IMarker marker)

  Computes the annotation type that corresponds to the state of the given marker.

  Parameters:
    `marker` - the marker
  Returns:
    the annotation type or `null`

### getAnnotationType

    public String getAnnotationType(String markerType,
                                    int markerSeverity)

  Computes the annotation type that corresponds to the given marker type and the given marker severity.

  Parameters:
    `markerType` - the marker type
    `markerSeverity` - the marker severity
  Returns:
    the annotation type or `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.